%define upstream_name    IP-Info
%define upstream_version 0.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Interface to IP geographic and network data
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IP/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:     IP-Info-0.13-skip-manifest-checks.patch

BuildRequires: perl(Data::Validate::IP) >= 0.100.0
BuildRequires: perl(Digest::MD5) >= 2.360.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(JSON)
BuildRequires: perl(Moo)
BuildRequires: perl(Test::More)
BuildRequires: perl(Throwable)
BuildRequires: perl(namespace::clean)
BuildArch:  noarch

%description
Quova RESTful API provides the geographic location and network data for any
Internet Protocol address in the public address space. The information
includes:

* * Postal code, city, state, region, country, and continent

* * Area code (US and Canada only) and time zone

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.130.0-3.mga6
+ Revision: 1028810
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.130.0-2.mga6
+ Revision: 967198
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 shlomif <shlomif> 0.130.0-1.mga6
+ Revision: 848374
- New version 0.13

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 750020
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-3.mga5
+ Revision: 685095
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.60.0-2.mga4
+ Revision: 525156
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.60.0-1.mga4
+ Revision: 432418
- New version 0.06

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 368636
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 26 2012 kharec <kharec> 0.50.0-1.mga3
+ Revision: 284128
- imported package perl-IP-Info


* Sun Aug 26 2012 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
